<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbProductCatTranslateTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_product_cat_translate', function(Blueprint $table)
		{
			$table->foreign('language_id', 'fk_pct_lan')->references('id')->on('ab_language')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('product_cat_id', 'fk_pct_pc')->references('id')->on('ab_product_cat')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_product_cat_translate', function(Blueprint $table)
		{
			$table->dropForeign('fk_pct_lan');
			$table->dropForeign('fk_pct_pc');
		});
	}

}
